#include <maps/wikimap/mapspro/services/tasks_feedback/src/import_indoor_feedback_worker/lib/upload_tasks.h>

#include <yandex/maps/wiki/social/feedback/agent.h>


namespace maps::wiki::tasks_feedback::indoor_feedback {

namespace sf = social::feedback;

const social::TUid ROBOT_UID = 82282794;

void uploadTasks(
    pqxx::transaction_base& socialWriteTxn,
    const std::vector<sf::TaskNew>& newTasks)
{
    sf::Agent agent(socialWriteTxn, ROBOT_UID);
    for (const auto& task: newTasks) {
        auto addedTask = agent.addTask(task);
    }
}

} // namespace maps::wiki::tasks_feedback::indoor_feedback
